#version 450
layout(location = 0) in vec2 vUV;
layout(location = 1) in float vAlpha;

layout(std140, binding = 0) uniform Globals {
    mat4 uVP;
};

layout(location = 0) out vec4 FragColor;
void main() {
    float r = length(vUV);
    float a = (1.0 - smoothstep(0.45, 1.0, r)) * vAlpha;
    FragColor = vec4(0.0, 0.0, 0.0, a * 0.5);
}
